Qt 5.9.1 framework (modular) + Qt Creator 4.3.1

Post links to your 64bit module repos here. Repo maintainers are responsible for resolving any issues caused by their xzm's.
fulalas
DEV Team
DEV Team
Posts: 1325
Joined: 26 Oct 2016, 15:34
Distribution: Porteus
Location: Brazil

Re: Qt 5.9.1 framework (modular) + Qt Creator 4.3.1

Post#16 by fulalas » 18 Jul 2017, 22:03

Thanks, man! Although this is not critical, let's hope they fix it soon. Console warnings are annoying :P

rych
Samurai
Samurai
Posts: 155
Joined: 04 Jan 2014, 04:27
Distribution: Porteus 4.0 64 LXDE
Location: NZ

Qt 5.9.1 framework (modular) + Qt Creator 4.3.1

Post#17 by rych » 03 May 2019, 06:56

@jssouza, Thank you for these Qt packages that has enabled my work for all this time. I wonder whether you could easily upgrade it to the next version. The reason for me is that I'd like to upgrade some of my apps which begin to rely on the newer Qt, for example, the next version of qpdfview, `qpdfview-0.4.18-alt1.beta1.x86_64.xzm` complains:

Code: Select all

qpdfview: /usr/lib64/libQt5Core.so.5: version `Qt_5.11' not found (required by qpdfview) 
This is by no means urgent, and I'm happy to stay with the current framework Qt5.9. I'm just registering my interest here.

jssouza
DEV Team
DEV Team
Posts: 899
Joined: 09 Jul 2015, 14:17
Distribution: Porteus x86 arm
Location: Liechtenstein

Qt 5.9.1 framework (modular) + Qt Creator 4.3.1

Post#18 by jssouza » 04 May 2019, 01:50

Hi rych, I have created Qt 5.12 packages that are used in our Porteus 5 development.
These were built on a much later Slackware current snapshot than that of Qt 5.9.1, so may or may not work for you in your Porteus 4 environment (newer icu, glibc etc).
But no harm in giving them a try:
http://www.mediafire.com/file/zytol8miw ... ar.xz/file
These are not in xzm format but rather Slackware packages. Should be easy to convert them to xzm modules. Let me know if they work.

rych
Samurai
Samurai
Posts: 155
Joined: 04 Jan 2014, 04:27
Distribution: Porteus 4.0 64 LXDE
Location: NZ

Qt 5.9.1 framework (modular) + Qt Creator 4.3.1

Post#19 by rych » 04 May 2019, 05:50

Thank you, jssouza: I was unsuccessful in trying to convert the packages to the modules, complaining that some files were missing. I don't think it's worth instigating in light of the upcoming Porteus 5 that will have it natively. I'm likely to stay on OpenBox even in Porteus 5, so I'd be needing a separate Qt 5.12 framework module to put on top. I'll try or ask you again then.

Post Reply